initial buildroot for linux 5.15

This commit is contained in:
Huan.Feng
2021-12-06 14:12:13 +08:00
parent d7767d594e
commit 7b6fc358fa
12736 changed files with 508822 additions and 0 deletions
+24
View File
@@ -0,0 +1,24 @@
config BR2_PACKAGE_BOINC
bool "boinc"
depends on BR2_USE_MMU # fork()
depends on !BR2_STATIC_LIBS # dlfcn.h
depends on BR2_TOOLCHAIN_GCC_AT_LEAST_4_8 # C++11
depends on BR2_TOOLCHAIN_HAS_THREADS
depends on BR2_INSTALL_LIBSTDCPP
select BR2_PACKAGE_LIBCURL
select BR2_PACKAGE_OPENSSL
help
Open-source software for volunteer computing and grid
computing.
Use the idle time on your computer to cure diseases, study
global warming, discover pulsars, and do many other types of
scientific research.
https://boinc.berkeley.edu
comment "boinc needs a toolchain w/ dynamic library, C++, threads, gcc >= 4.8"
depends on BR2_USE_MMU
depends on BR2_STATIC_LIBS || !BR2_INSTALL_LIBSTDCPP \
|| !BR2_TOOLCHAIN_GCC_AT_LEAST_4_8 \
|| !BR2_TOOLCHAIN_HAS_THREADS
+37
View File
@@ -0,0 +1,37 @@
#!/bin/sh
NAME=boinc_client
PIDFILE=/var/run/$NAME.pid
DAEMON=/usr/bin/$NAME
start() {
printf "Starting $NAME: "
start-stop-daemon -S -q -m -b -p $PIDFILE --exec $DAEMON
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
stop() {
printf "Stopping $NAME: "
start-stop-daemon -K -q -p $PIDFILE
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
restart() {
stop
start
}
case "$1" in
start)
start
;;
stop)
stop
;;
restart|reload)
restart
;;
*)
echo "Usage: $0 {start|stop|restart|reload}"
exit 1
esac
exit $?
+4
View File
@@ -0,0 +1,4 @@
# Locally computed:
sha256 274388d9c49e488b6c8502ffc6eb605d5ceae391fb0c2fc56dbb0254d0ceb27e boinc-7.18.1.tar.gz
sha256 8ceb4b9ee5adedde47b31e975c1d90c73ad27b6b165a1dcd80c7c545eb65b903 COPYING
sha256 a853c2ffec17057872340eee242ae4d96cbf2b520ae27d903e1b2fef1a5f9d1c COPYING.LESSER
+66
View File
@@ -0,0 +1,66 @@
################################################################################
#
# boinc
#
################################################################################
BOINC_VERSION_MAJOR = 7.18
BOINC_VERSION = $(BOINC_VERSION_MAJOR).1
BOINC_SITE = \
$(call github,BOINC,boinc,client_release/$(BOINC_VERSION_MAJOR)/$(BOINC_VERSION))
BOINC_LICENSE = LGPL-3.0+
BOINC_LICENSE_FILES = COPYING COPYING.LESSER
BOINC_CPE_ID_VENDOR = rom_walton
BOINC_SELINUX_MODULES = boinc
BOINC_DEPENDENCIES = host-pkgconf libcurl openssl
BOINC_AUTORECONF = YES
# The ac_cv_c_undeclared_builtin_options value is to help
# AC_CHECK_DECLS realize that it doesn't need any particular compiler
# option to get an error when building a program that uses undeclared
# symbols. Otherwise, AC_CHECK_DECLS is confused by the configure
# script unconditionally passing -mavx, which only exists on x86, and
# therefore causes a failure on all other architectures.
BOINC_CONF_ENV = \
ac_cv_c_undeclared_builtin_options='none needed' \
ac_cv_path__libcurl_config=$(STAGING_DIR)/usr/bin/curl-config
BOINC_CONF_OPTS = \
--disable-apps \
--disable-boinczip \
--disable-manager \
--disable-server \
--enable-client \
--enable-dynamic-client-linkage \
--enable-libraries \
--with-pkg-config=$(PKG_CONFIG_HOST_BINARY) \
--with-libcurl=$(STAGING_DIR)/usr
ifeq ($(BR2_PACKAGE_FREETYPE),y)
BOINC_DEPENDENCIES += freetype
endif
ifeq ($(BR2_PACKAGE_LIBFCGI),y)
BOINC_DEPENDENCIES += libfcgi
BOINC_CONF_OPTS += --enable-fcgi
else
BOINC_CONF_OPTS += --disable-fcgi
endif
BOINC_MAKE_OPTS = CXXFLAGS="$(TARGET_CXXFLAGS) -std=c++11"
# Remove boinc-client because it is incompatible with buildroot
define BOINC_REMOVE_UNNEEDED_FILE
$(RM) $(TARGET_DIR)/etc/init.d/boinc-client
endef
BOINC_POST_INSTALL_TARGET_HOOKS += BOINC_REMOVE_UNNEEDED_FILE
define BOINC_USERS
boinc -1 boinc -1 * /var/lib/boinc - BOINC user
endef
define BOINC_INSTALL_INIT_SYSV
$(INSTALL) -D -m 0755 package/boinc/S99boinc-client \
$(TARGET_DIR)/etc/init.d/S99boinc-client
endef
$(eval $(autotools-package))